<?php
require'config.php';
$user['avr'] = 0;
$align='left';
$title='Сказать';
aut();
head();
if($_SESSION['key'] == NULL or $_SESSION['key'] == '') $_SESSION['key'] = rand(1000,99999999);
$rm = abs(intval($_GET['rm']));

if (empty($rm)) header ('Location: enter?'.SID);

$rooms = $db->sql_fetchrow($db->sql_query("SELECT * FROM `rooms` WHERE `rm` = '$rm'"));

if($user['posts'] < $rooms['posts'])
{
	$postus = $rooms['posts'] - $user['posts'];
	echo 'Извините, но в эту комнату вам доступ пока закрыт!<br />
	Для входа в комнату вам необходимо набрать <font color="red"><b>'.$postus.'</b></font> постов!<br />';
	$rooms1 = $db->sql_query("SELECT * FROM `rooms` ORDER BY `pos` ASC");
	if($db->sql_numrows($rooms1)!=0)
	{
		echo '<b>Ниже представлены доступные для вас комнаты!</b><br />';
		while($room = $db->sql_fetchrow($rooms1))
		{
			echo menu;
			if($user['posts'] > $room['posts'])
			{
				if ($room['sartir']==1)echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'&amp;sartir"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
				else if ($room['intim']==1)echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'&amp;intim"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
				else if ($room['zags']==1)echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'&amp;zags=zags"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
				else if ($room['level']<=$user['level'])echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
			}else
			{
				if ($room['sartir']==1)echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
				else if ($room['intim']==1)echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
				else if ($room['zags']==1)echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
				else if ($room['level']<=$user['level'])echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
			}
			echo div;
		}
	}else{
	echo 'Комнаты в которых можно набрать посты общением пока что не созданы<br />';
	}
	
	echo gbinroom.'<a href="enter">Прихожая</a><br/>'.div;
	info_compress();
	echo 'Время:'.$debag->endTimer().' сек<br />'.div;
	foot();
}

if ($user['level']<$rooms['level'])
	{
	 $align='center';
	 echo 'Извините, но в этой комнате Вам прийдется отсосать!<br />';
	 echo gbinroom.'<a href="enter">Прихожая</a><br/>'.div;
	 info_compress();
	 echo 'Время:'.$debag->endTimer().' сек<br />'.div;
	 foot();
	}

if ($rooms['intim']==1){
if(!isset($_POST['inps']) && isset($_SESSION['inps']))$inps = check(intval($_SESSION['inps']));
else $inps = check(intval($_POST['inps']));
$_SESSION['inps'] = $inps;
}
if(empty($inps)) $inps = 0;


if (($rooms['sartir']!=1) && ($user['kik']>$time)){
echo '<b>'.user($user['whokik']).'</b> выпнул вас из чата на <b>'.kikt($user['kik']).'</b> <br />Причина: <b>'.$user['whykik'].'</b><br />';
$rooms = $db->sql_query("SELECT * FROM `rooms` WHERE sartir = '1' ORDER BY `pos` ASC");
if($db->sql_numrows($rooms)!=0)echo 'Вам разрешен доступ только в<br />';
while($room = $db->sql_fetchrow($rooms)){
if ($room['level']<=$user['level'])echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'">'.$room['name'].'</a><br />';}
echo '<br />';
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}

if (empty($act)){
if ($ver!='wml')echo '<form action="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br/><input name="msg'.$ref.'" maxlength="512" title="Введите сюда своё сообщение!"/><br/>';
else echo '<input type="hidden" name="key" value="'.$_SESSION['key'].'">
<br/><TEXTAREA NAME="msg" ROWS='.$user['pole1'].' COLS='.$user['pole2'].' maxlength="512" title="Введите сюда своё сообщение!"/></TEXTAREA><br/>';

if ($user['dd']!=0){
if ($user['level']>=4){
echo '<select name="dd">
<option value="0" selected="selected">Шрифт</option>
<option value="1">Наклонный</option>';
if ($user['level']>=5) echo '<option value="2">Подчёркнутый</option>';
if ($user['level']>=6) echo '<option value="3">Накл. и подч.</option>';
if ($user['level']>=6) echo '<option value="4">Жирный</option>';
if ($user['level']>=7) echo '<option value="5">Жирн. и подч.</option>';
if ($user['level']>=7) echo '<option value="6">Огромный</option>';
echo '</select><br />';
}
}
if ($user['emo']!=0){
echo '<select name="emo">
<option value="0" selected="selected">Эмоции</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br />';
}

if ($user['color']!=0){
echo '<select name="color">
<option value="0" selected="selected">Цвет</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Сереневый</option>
<option value="4">Зеленый</option>
<option value="5">Красно-зеленый</option>
<option value="6">Красно-черный</option>
<option value="7">Серо-синий</option>
<option value="8">Желто-синий</option>
<option value="9">Черно-зеленый</option>
<option value="10">Розово-белый</option>
<option value="11">Черно-серый</option>
<option value="12">Синий-зелёный</option>
<option value="13">Оливковый-фуксия</option>
<option value="14">Голубой-ВМФ</option>
<option value="15">Золото-Красный</option>
<option value="16">синевато-Розовый</option>
</select><br />';
}

if ($ver=='wml'){
echo '<br /><anchor title="go">Сказать<go href="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="key" value="'.$_SESSION['key'].'"/>
<postfield name="dd" value="$dd"/>
<postfield name="color" value="$color"/>
<postfield name="emo" value="$emo"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сказать"/></form><br /><br />';
}
}else{
if($_POST[prvt] == 2 and isset($_GET['nk']))////отправка на почту письма
{
	$ignorr = mysql_fetch_assoc(mysql_query("SELECT * FROM ignor WHERE `ig_id` = '".$user[id]."' and `user_id` = '".$inf[id]."'"));
	if ( $inf[id] == $ignorr[user_id] and $user[id] == $ignorr[ig_id])
	{
		header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=11&'.SID); exit;
	}else
	{
		$to = intval($_GET['nk']);
		
		$msg = trim(mysql_real_escape_string(check($_POST['msg'])));
		$msg = iconv('utf-8', 'windows-1251', $msg);
		$msg = substr($msg,0,512);
		$msg = iconv('windows-1251', 'utf-8', $msg);

		if($user['level'] < 7)
		{ 
			if($rooms['antir'] > 0 and $msg['user_id'] != 0) $msg = antir($msg);
			if (($rooms['tupica']==0) && ($rooms['sartir']==0))if ($rooms['antim']>0)$msg = antim($msg);
		}
		
		if ($user['posts']<$set['posts_pr']){header ('Location: privat?'.$ref.'&mod='.$mod.'&err_zap=4&'.SID);  exit;}
		if (!user($to)){header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=2&'.SID);  exit;}
		if (strlen2($msg)<2){header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=1&'.SID); exit;}
		if (user_inf($to,'xstatus')==2){header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=5&'.SID);  exit;}
		if (ignor(user_inf($to),$user['id'])==1){header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=6&'.SID);  exit;}
		if (user_inf($to,'pp_m_s')==2){header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=8&'.SID);  exit;}
		if (user_inf($to,'pp_m_s')==1 && friends($to,$user['id'])!=1){header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=7&'.SID);  exit;}
$spm=$db->sql_fetchfield($db->sql_query("select COUNT(*) from privat WHERE `user_id` = '$user[id]'  and `time`>'".($time - $set['flyd_privat'])."';"),0);
if ($spm > 0){
 header ('Location: room?'.$ref.'&rm='.$rm.'&err_zap=9&'.SID.'');
exit;
}

		if ($db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user[user]','$user[id]','".user($to)."','".user_inf($to)."','$time','$msg')"))
		{	
			//echo 'Сообщение для <b>'.user_inf($to,'user').'</b> отправлено!<br />';
			header ('Location: room?rm='.$rm.'&try=try&'.SID); exit;
		}
	}
}else//////отправка в комнату сообщение
{
	if ($user['caps_lock'] == '1') 
	{
		$msg = check(mb_strtolower($_POST['msg']));
	} else {
		$msg = check($_POST['msg']);
	}
	
	if($user['level'] < 7)
	{ 
		if($rooms['antir'] > 0 and $msg['user_id'] != 0) $msg = antir($msg);
		if (($rooms['tupica']==0) && ($rooms['sartir']==0))if ($rooms['antim']>0)$msg = antim($msg);
	}
        $dd = check($_POST['dd']);
	$emo = abs(intval($_POST[emo]));
	$color = abs(intval($_POST[color]));
	$prvt = abs(intval($_POST[prvt]));
	$flirt = abs(intval($_POST[flirts]));

if($user['sex']==0 and ($flirt != 0 or $flirt != NULL)  and $flirt >0 and $flirt <= 24)
{
	switch ($flirt)
	{
		case '1': $msg = "[[b]Ущипнула за попку[/b]] ".$msg;break;
		case '2': $msg = "[[b]Нежно поцеловала[/b]] ".$msg;break;
		case '3': $msg = "[[b]Обняла по дружески[/b]] ".$msg;break;
		case '4': $msg = "[[b]Прошептала на ушко[/b]] ".$msg;break;
		case '5': $msg = "[[b]Погладила по щеке[/b]] ".$msg;break;
		case '6': $msg = "[[b]Признаёться в любви[/b]] ".$msg;break;
		case '7': $msg = "[[b]Нежно улыбаюсь[/b]] ".$msg;break;
		case '8': $msg = "[[b]Погладила по головке[/b]] ".$msg;break;
		case '9': $msg = "[[b]Залезла в трусики[/b]] ".$msg;break;
		case '10': $msg = "[[b]Страстно поцеловала[/b]] ".$msg;break;
		case '11': $msg = "[[b]Поцеловала в щечку[/b]] ".$msg;break;
		case '12': $msg = "[[b]Страстно в лобик[/b]] ".$msg;break;
		case '13': $msg = "[[b]Флиртую[/b]] ".$msg;break;
		case '14': $msg = "[[b]Обнимаю эротично[/b]] ".$msg;break;
		case '15': $msg = "[[b]Послать[/b]] ".$msg;break;
		case '16': $msg = "[[b]Пожала руку[/b]] ".$msg;break;
		case '17': $msg = "[[b]Матерюсь[/b]] ".$msg;break;
		case '18': $msg = "[[b]Предложила дружбу[/b]] ".$msg;break;
		case '19': $msg = "[[b]Погладила по попке[/b]] ".$msg;break;
		case '20': $msg = "[[b]Заняться сексом[/b]] ".$msg;break;
		case '21': $msg = "[[b]Сняла трусики[/b]] ".$msg;break;
		case '22': $msg = "[[b]Погладила между ног[/b]] ".$msg;break;
		case '23': $msg = "[[b]Прыгнула на руки[/b]] ".$msg;break;
		case '24': $msg = "[[b]Дала пощечину[/b]] ".$msg;break;
	}
}
if($user['sex']==1 and ($flirt != 0 or $flirt != NULL) and $flirt >0 and $flirt <= 22)
{
	switch ($flirt)
	{
		case '1': $msg = "[[b]Ущипнул за попку[/b]] ".$msg;break;
		case '2': $msg = "[[b]Нежно поцеловал[/b]] ".$msg;break;
		case '3': $msg = "[[b]Обнял по дружески[/b]] ".$msg;break;
		case '4': $msg = "[[b]Прошептал на ушко[/b]] ".$msg;break;
		case '5': $msg = "[[b]Погладил по щеке[/b]] ".$msg;break;
		case '6': $msg = "[[b]Признаюся в любви[/b]] ".$msg;break;
		case '7': $msg = "[[b]Нежно улыбаюсь[/b]] ".$msg;break;
		case '8': $msg = "[[b]Погладил по головке[/b]] ".$msg;break;
		case '9': $msg = "[[b]Залез в трусики[/b]] ".$msg;break;
		case '10': $msg = "[[b]Страстно поцеловал[/b]] ".$msg;break;
		case '11': $msg = "[[b]Поцеловал в щечку[/b]] ".$msg;break;
		case '12': $msg = "[[b]Страстно в лобик[/b]] ".$msg;break;
		case '13': $msg = "[[b]Флиртую[/b]] ".$msg;break;
		case '14': $msg = "[[b]Обнять эротично[/b]] ".$msg;break;
		case '15': $msg = "[[b]Послать[/b]] ".$msg;break;
		case '16': $msg = "[[b]Пожал руку[/b]] ".$msg;break;
		case '17': $msg = "[[b]Матерюсь[/b]] ".$msg;break;
		case '18': $msg = "[[b]Предложил дружить[/b]] ".$msg;break;
		case '19': $msg = "[[b]Погладил по попке[/b]] ".$msg;break;
		case '20': $msg = "[[b]Заняться сексом[/b]] ".$msg;break;
		case '21': $msg = "[[b]Снять трусики[/b]] ".$msg;break;
		case '22': $msg = "[[b]Погладить между ног[/b]] ".$msg;break;
	}
}
/*if(isset($_POST['flirts']) or $_POST['flirts'] != NULL)
{
	$flirts = check($_POST['flirts']);
	if($user[sex]==0)
	{
		if($flirts >= 1 && $flirts >= 28)
		
		
	}else
	{
	
	}
}*/
if(isset($_GET['nk'])) $nk = intval($_GET['nk']);
else $nk = 0;

if($prvt!=0){
if(isset($_POST['prvt']) && isset($_GET['nk'])) $privat = intval($_GET['nk']);
}else $privat = 0;
if (strlen2($msg)<2){header ('Location: room?'.$ref.'&rm='.$rm.'&'.SID); exit;}
$msg = iconv('utf-8', 'windows-1251', $msg);
$msg = substr($msg,0,512);
$msg = iconv('windows-1251', 'utf-8', $msg);
////$msg = $flirts.''.$msg;


if ($user['translit']==1)$msg = translit($msg);
////Личные смайлы
if (!empty($user['lsmile'])) {
$msg = str_replace('.my.', '<img src="'.$user['lsmile'].'" alt="."/>', $msg);
}
if (!empty($user['lsmile2'])) {
$msg = str_replace('.my2.', '<img src="'.$user['lsmile2'].'" alt="."/>', $msg);
}
if (!empty($user['lsmile3'])) {
$msg = str_replace('.my3.', '<img src="'.$user['lsmile3'].'" alt="."/>', $msg);
}


if($user['id'] == $nk){header ('Location: room?'.$ref.'&rm='.$rm.'&'.SID); exit;}

###########################################################
// выборка антирекламы фильтра
$r = $db->sql_query ("SELECT `filtr_text` FROM `antireklama` ORDER BY `id` DESC");
//удаляем все символы и проблеы из сообщения юзера
$result = preg_replace( '/[^a-zа-яё0-9]+/iu' , '' , $msg );
//перебор фильтров и сравнение
while($a = @$db->sql_fetchrow($r))
{
	//ищим совпадения
	if (preg_match("/".$a['filtr_text']."/ui", $result)) 
	{
		$db->sql_query("INSERT INTO logs SET log = 'ignors.msg.logs', msg = '".$user['user'].">>".user($nk).":[b]".$msg."[/b]', time = '" . time("NN:DD:H:i") . "'");
		$ignors_msg1 = 1;
	}
}
if($ignors_msg1 != 1) $ignors_msg1 = 0;
###########################################################



$mess=$db->sql_fetchfield($db->sql_query("select COUNT(*) from message WHERE `user_id` = '$user[id]'  and `time`>'".($time - $rooms['flyd'])."';"),0);
if ($mess > 0){ header ('Location: room?rm='.$rm.'&err=t&'.SID.''); exit;}

	if ($rooms['inkog']!=0){
		$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color,komu,privat,ignor_msg) VALUES ('Инкогнито','0','$time','$msg','$rm','$emo','$dd','$color','$nk','$privat','$ignors_msg1')");
	}else
	{
	
		if($_POST[key] == $_SESSION[key])
		{

			$_SESSION[key] = rand(1111111111,99999999999);//типа unset()
			$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color,komu,privat,inps,ignor_msg) VALUES ('$user[user]','$user[id]','$time','$msg','$rm','$emo','$dd','$color','$nk','$privat','$inps','$ignors_msg1')");
			posts_add();
		}

	}
require H . 'bots/ball_post_day.php'; ////начисления баллов за набронные посты в день
if ($rm == 5) include 'bots/zag2.php';
if ($rooms['umnik']!=0) require H.'bots/umnik3.php';
if ($rooms['tupica']!=0) require H.'bots/umnikmat2.php';
if ($rooms['tupica']!=0) require H.'bots/tupica2.php';
if ($rooms['flyder']!=0) require H.'bots/flyder.php';
if ($rooms['bot_bartender']!=0) require H.'bots/bot_bartender.php';
if ($rooms['zags']!=0) require H.'bots/svaisch.php';

header ('Location: room?'.$ref.'&rm='.$rm.'&'.SID);exit;
}
}


echo gb.'<a href="room?rm='.$rm.'">В чат </a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>